<bugID>1353705<Summary>security.ssl.treat_unsafe_negotiation_as_broken is not indicated for subresources on a secure page</Summary><Description>User Agent: Mozilla/5.0 (X11; Linux x86_64; rv:55.0) Gecko/20100101 Firefox/55.0
Build ID: 20170404100210

Steps to reproduce:

you set securiy.ssl.treat_unsafe_negotiation_as_broken to true.
https://steamcdn-a.akamaihd.net/steamcommunity/public/images/avatars/70/70767680939ecfe0b2bf9e9c63ef2091b50e4370_full.jpg (has a green padlock with yellow triangle as it should)
but if you go to the parent site, this error of a subrequest is not shown: https://steamcommunity.com/groups/fast-aim-community (green padlock without yellow triangle)



Expected results:

1. A website should have a green padblock with a yellow triangle if a subrequest would have one.

2.  I want to suggest to enable this pref by default, but only in Nightly for now. The "enable for all" bug would be bug 665859. It would be nice if bug 1310447 could get enabled by default in Nightly together with this on the long way to bug 1351684.</Description></bugID>